/* =========================================================
   TIMELINE – ein- und ausklappbar
   ========================================================= */

.ebz-timeline-toggle {
  --timeline-preview-height: 1300px;
  --timeline-duration: 900ms;

  position: relative;
  max-height: var(--timeline-preview-height);
  overflow: hidden;

  transition:
    max-height var(--timeline-duration) cubic-bezier(0.65, 0, 0.35, 1);
}

/* Verlauf im eingeklappten Zustand */
.ebz-timeline-toggle::after {
  content: "";
  position: absolute;
  z-index: 5;
  right: 0;
  bottom: 0;
  left: 0;
  height: 180px;

  pointer-events: none;

  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 0.85) 60%,
    rgba(255, 255, 255, 1)
  );

  opacity: 1;

  transition:
    opacity 400ms ease;
}

/* Während und nach dem Öffnen Verlauf ausblenden */
.ebz-timeline-toggle.is-expanded::after {
  opacity: 0;
}

/* Während des Einklappens Verlauf wieder einblenden */
.ebz-timeline-toggle.is-collapsing::after {
  opacity: 1;
}

/* Optional: Button zentrieren */
.ebz-timeline-button {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}

/* Bewegungen reduzieren, falls im System gewünscht */
@media (prefers-reduced-motion: reduce) {
  .ebz-timeline-toggle,
  .ebz-timeline-toggle::after {
    transition: none;
  }
}

/* ============
   ACCORDION
   ============ */

.et_pb_toggle_open .et_pb_toggle_title:before {
	font-family: "FontAwesome" !important;
    display: block !important;
	content: '\f146' !important;
    font-weight: 900 !important;
    font-size: clamp(24px, 1.67vw, 40px) !important; /*40px;*/
    line-height: clamp(24px, 1.67vw, 40px) !important; /*40px;*/
	color: #fff;
}

.et_pb_toggle .et_pb_toggle_title, .et_pb_toggle h5.et_pb_toggle_title {
    /*padding: 40px 20px !important;*/
	padding: clamp(24px, 1.67vw, 30px) clamp(12px, 0.83vw, 20px) !important;
}

.et_pb_toggle_close,
.et_pb_toggle_open {
    padding: 0 !important;
}

.et_pb_accordion .et_pb_toggle_close:not(.et_pb_toggle_empty) .et_pb_toggle_title:before,
.et_pb_toggle_title:before { 
	font-size: clamp(24px, 1.67vw, 40px) !important; /*40px;*/
    line-height: clamp(24px, 1.67vw, 40px) !important; /*40px;*/
    right: 20px !important;
    left: auto;
}

.et_pb_toggle_content {
    padding-top: 0px !important;
}

.et_pb_toggle_content .et_pb_module_header {
	font-size: clamp(1.512rem, 1.35rem + 0.72vw, 2rem);
	line-height: 1.2;
	letter-spacing: 0;
	font-weight: 300;
}